[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumn.FillDefaultFont

Sets the Font to the value used in the grid control.

## Declaration

Source position: grids.pas line 601

`public procedure TGridColumn.FillDefaultFont;`

## Description

When Grid has been assigned, its Font is used in the column instance. The TFont value is assigned to the Font property, and IsDefaultFont is set to True.

FillDefaultFont is called from the FontChanged method in TGridColumns.

## See also

TGridColumn.Grid |  | The grid control to which this column belongs.
TGridColumn.Font |  | The font used for text displayed in the column.
TGridColumn.IsDefaultFont |  | Indicates if the default font is in use for the grid column.
TGridColumns.FontChanged |  | Performs actions needed when the Font for the grid control is changed.
TCustomGrid |  | Implements the base class for grid controls.